#ifndef __EEPROM_H
#define __EEPROM_H

#ifdef __cplusplus
extern "C" {
#endif

#include "stm32f4xx_hal.h"

#define FLASH_PROGRAM_BASE	0x08100000
#define FLASH_MODBUS_BASE	0x08008000

void Put_Program_to_FLESH(uint8_t * Address, uint32_t Length);
void putIntoEeprom(uint16_t, uint16_t*);
uint16_t watInTheFlash(uint32_t);
	
#ifdef __cplusplus
}
#endif

#endif /* __EEPROM_H */
